<?php
namespace Mirasvit\Search\Plugin\ApplyCategorySearchPlugin;

/**
 * Interceptor class for @see \Mirasvit\Search\Plugin\ApplyCategorySearchPlugin
 */
class Interceptor extends \Mirasvit\Search\Plugin\ApplyCategorySearchPlugin implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Model\Config\LayerCategoryConfig $layerCategoryConfig, \Magento\Framework\ObjectManagerInterface $objectManager)
    {
        $this->___init();
        parent::__construct($layerCategoryConfig, $objectManager);
    }

    /**
     * {@inheritdoc}
     */
    public function getFilters(\Magento\Catalog\Model\Layer $layer)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getFilters');
        return $pluginInfo ? $this->___callPlugins('getFilters', func_get_args(), $pluginInfo) : parent::getFilters($layer);
    }
}
